# transport_type.h File Reference

Base types related to transport. More...

Go to the source code of this file.

## Data Structures

struct | EnumPropsT< TransportType >

## Typedefs

typedef uint16 | UnitID

## Enumerations

enum | TransportType { TRANSPORT_BEGIN = 0, TRANSPORT_RAIL = TRANSPORT_BEGIN, TRANSPORT_ROAD, TRANSPORT_WATER, TRANSPORT_AIR, TRANSPORT_END, INVALID_TRANSPORT = 0xff }
| Available types of transport. More...

## Detailed Description

Base types related to transport.

Definition in file transport_type.h.

## Enumeration Type Documentation

enum TransportType

Available types of transport.

Enumerator:

  TRANSPORT_RAIL | Transport by train.
  TRANSPORT_ROAD | Transport by road vehicle.
  TRANSPORT_WATER | Transport over water.
  TRANSPORT_AIR | Transport through air.

Definition at line 18 of file transport_type.h.